/**
 * 组织层次结构分配
 *
 * @export
 * @interface HROMHierarchyPurposeRef
 */
export interface HROMHierarchyPurposeRef {

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HROMHierarchyPurposeRef
     */
    updateman?: any;

    /**
     * 组织层次结构分配名称
     *
     * @returns {*}
     * @memberof HROMHierarchyPurposeRef
     */
    omhierarchypurposerefname?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HROMHierarchyPurposeRef
     */
    createdate?: any;

    /**
     * 组织层次结构分配标识
     *
     * @returns {*}
     * @memberof HROMHierarchyPurposeRef
     */
    omhierarchypurposerefid?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HROMHierarchyPurposeRef
     */
    updatedate?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HROMHierarchyPurposeRef
     */
    createman?: any;

    /**
     * 组织层次机构目的标识
     *
     * @returns {*}
     * @memberof HROMHierarchyPurposeRef
     */
    omhierarchypurposeid?: any;

    /**
     * 结构层次类别标识
     *
     * @returns {*}
     * @memberof HROMHierarchyPurposeRef
     */
    omhierarchycatid?: any;
}